#!/bin/bash

dep=1

function mat_migr_cat()
{
	local cat=$1

	case "${cat}" in
		2)	echo '1' ;;
		10)	echo '2' ;;
		13)	echo '4' ;;
		14)	echo '5' ;;
		5)	echo '7' ;;
		11)	echo '6' ;;
		7)	echo '8' ;;
		8)	echo '9' ;;
		12)	echo '10' ;;
		4)	echo '11' ;;
		9)	echo '12' ;;
		6)	echo '13' ;;
	esac
}

for i in `cat master.db`
do
	cat=""
	cat2=""
	tmp=`echo ${i} | cut -d '>' -f 1`
	tmp2=`echo ${tmp} | cut -d "_" -f 1`
	tmp2=${tmp2}"_"
	tmp2=${tmp2}`echo ${tmp} | cut -d "_" -f 2`
	nom=`echo ${tmp2} | sed -e 's/-//g' | sed -e 's/T//g' | sed -e 's/_//g' | cut -d '.' -f 1`

	nom_orig=`echo ${i} | cut -d '>' -f 1`
	cat_orig=`echo ${i} | cut -d '>' -f 2`
	if [ "${cat_orig}" = "${nom_orig}" ]; then
		cat="2"
	else
		cat=`echo ${cat_orig} | cut -d ',' -f 1`
		cat2=`mat_migr_cat ${cat}`

	#	echo "=============+++++> ${cat2}"
	fi 

	sujet=`cat ${tmp} |head -n 5|head -n 1 | cut -d ':' -f 2`
	# sujet=`echo ${sujet} | sed -e 's/ //'`

	id=`printf '%04d' ${dep}`
	cat=`printf '%03d' ${cat2}`

	nom_def="${id}.${cat}.${nom}.${dep}.xml"


	h=`cat h1.mig`
	echo -n ${h} > ${nom_def}
	echo -n "${sujet}" >> ${nom_def}
	cat h2.mig >> ${nom_def}

	nb_ligne=`cat ${tmp}|wc -l`
	my_head=$((${nb_ligne} - 1)) 
	my_tail=$((${nb_ligne} - 8))
	art=`cat ${tmp}| head -n ${my_head} | tail -n ${my_tail}`
	echo ${art} >> ${nom_def}
	cat h3.mig >> ${nom_def}

	echo "nom= ${nom_def} - cat = ${cat} - sujet = ${sujet} - lignes = ${nb_ligne} / ${my_head} / ${my_tail}"

	dep=$(($dep+1))

done
